# Looking for a Professional React Button Library?

This package helps you to use the following Kendo UI for jQuery components in React applications:

* [Kendo UI for jQuery Button](https://demos.telerik.com/kendo-ui/button/index?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-buttons-wrapper&utm_content=description)
* [Kendo UI for jQuery ButtonGroup ](https://demos.telerik.com/kendo-ui/buttongroup/index?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-buttons-wrapper&utm_content=description)
* [Kendo UI for jQuery Toolbar](https://demos.telerik.com/kendo-ui/toolbar/index?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-buttons-wrapper&utm_content=description)

It should not be confused with the [KendoReact Buttons](https://www.npmjs.com/package/@progress/kendo-react-buttons), which is written 100% with React (no jQuery dependency).

Most UI components in Kendo UI for jQuery, including these ones, have their native React equivalents, available as part of the [KendoReact UI library](https://www.telerik.com/kendo-react-ui/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-buttons-wrapper).

## Important

This package will not be receiving future updates. We strongly encourage you to work with the native React implementation linked above.
If you still need to use the Kendo UI for jQuery widgets in your React applications, you can follow [these instructions](https://docs.telerik.com/kendo-ui/third-party/react?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-buttons-wrapper).

## What is the Difference between Kendo UI for jQuery and KendoReact?

The Kendo UI for jQuery Buttons are part of [Kendo UI for jQuery](https://www.telerik.com/kendo-jquery-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-buttons-wrapper&utm_content=description), a complete, feature-rich jQuery UI component library.

The [KendoReact Buttons Library](https://www.telerik.com/kendo-react-ui/components/buttons/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-buttons-wrapper&utm_content=description) is part of [KendoReact](https://www.telerik.com/kendo-react-ui/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-buttons-wrapper&utm_content=description), a library that includes 100+ UI and DataViz components designed and built from the ground up for React.

*Copyright © 2021 Progress Software Corporation and/or its subsidiaries or affiliates. All Rights Reserved.*

*Progress, Kendo UI, KendoReact and associated product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*